HELP! Java (1.5) Problem.

  1. Bianca_Bln

    Bianca_Bln Thread StarterMacUser Mitglied

    Mitglied seit:
    24.10.2004
    Beiträge:
    80
    Zustimmungen:
    0
    Hallo,

    ich habe ein Problem, ein Kommilitone meinte es mit mir gut und hat auf meinem PowerBook Java 1.5 installiert. Leider in meiner Abwesenheit, ich bin gerade in der Vorlesung gewesen, kann die ganze Installation also nicht rückgängig machen.

    Ich möchte es gerne rückgängig machen, weil ich nun nichts mehr kompilieren kann. Ich bekomme folgende Fehlermeldung:

    usage: update_sharing 1.3 | 1.4 | 1.5

    Er möchte also wissen, mit welchem Java ich arbeiten will ... mit 1.3, 1.4 oder 1.5?

    Was kann ich tun?

    Vielen Dank!
    Bianca
     
    Bianca_Bln, 15.11.2005
  2. andi.reidies

    andi.reidiesMacUser Mitglied

    Mitglied seit:
    08.02.2005
    Beiträge:
    420
    Zustimmungen:
    0
    Hi,

    wie kompilierst Du denn deine Proggs ?

    Unter /usr/bin findest Du die java Programme als symbolische Links zu /System/Library/Frameworks/JavaVM.framework/Commands. wobei das commands verzeichnis auch ein symbolischer Link auf ./Versions/CurrentJDK/Commands ist.

    Die Frage ist also: was ist dein CurrentJDK ?!?

    Bei mir finde ich ein Tool unter Applications->Utilities->Java->J2SE 5.0 namens Java Preferences womit man das aktuelle JDK setzen kann. I.d.R. sollte das noch die Version 1.4.2 sein, die sich gleichzeitig mit auf dem Rechner befindet (es befinden sich 1.3.1, 1.4.2 und 1.5.0 unter dem Versions Verzeichnis).

    Ueberprueft mal die Settings und ruf mal java -version von der Commandline auf.
     
    andi.reidies, 15.11.2005
  3. Bianca_Bln

    Bianca_Bln Thread StarterMacUser Mitglied

    Mitglied seit:
    24.10.2004
    Beiträge:
    80
    Zustimmungen:
    0
    Hey, vielen Dank für die Antwort! Ich habe kurzer Hand MacOSX neu installiert. Irgendwie muss ich beim Versuch die alten Javaversionen zu löschen ein paar Ordner von mir mit entsorgt haben ...
    Keine Ahnung wie ich das hinbekommen habe! Ich bin über mich selber entsetzt gewesen. .-)

    Vielen Dank erst einmal!

    Bianca
     
    Bianca_Bln, 29.11.2005
  4. Bianca_Bln

    Bianca_Bln Thread StarterMacUser Mitglied

    Mitglied seit:
    24.10.2004
    Beiträge:
    80
    Zustimmungen:
    0
    Hi,
    ich compiliere mit dem Terminal. Als Java Version gibt das Terminal die 1.4.2_09 aus.

    Bei mir ist eben so. Kannst du mir erklären, was ich machen muss, um mit Java 5 arbeiten zu können?

    Vielen Dank!
    Bianca
     
    Bianca_Bln, 04.12.2005
  5. CapFuture

    CapFutureMacUser Mitglied

    Mitglied seit:
    23.01.2004
    Beiträge:
    1.780
    Zustimmungen:
    1
    Hehe, Java löschen ist ne heikle sache ^^

    Hab mit tricksen usw. Java 1.5 auf mein Panther mal draufgemacht und mir damit das halbe System und Java komplett verschlossen.

    Neuinstallation hat auch als einziges bei mir geholfen. :/
     
    CapFuture, 05.12.2005
  6. javaklaus

    javaklausMacUser Mitglied

    Mitglied seit:
    16.04.2005
    Beiträge:
    18
    Zustimmungen:
    0
    javaklaus, 11.12.2005
Die Seite wird geladen...
Ähnliche Themen - HELP Java Problem
  1. anotheryou
    Antworten:
    1
    Aufrufe:
    144
    Apfeleis
    24.06.2017
  2. kurtmac
    Antworten:
    4
    Aufrufe:
    333
    kurtmac
    15.11.2016
  3. Kümmelkorn
    Antworten:
    4
    Aufrufe:
    572
    Kümmelkorn
    19.04.2009
  4. gishmo
    Antworten:
    4
    Aufrufe:
    552
  5. autoexec.bat
    Antworten:
    1
    Aufrufe:
    824
    blackalicious
    31.03.2005